locked
SharePoint 2010 compatibility with Windows Server 2012 R2 and .Net Framework 4.5.2 RRS feed

  • Question

  • Hi All

    I wanted to have SharePoint 2010 set up on Windows Server 2012 R2, with Sql Server 2014 , and .net framework 4.5.2

    Please suggest me if it is possible? and if not, what should be the versions to target for SharePoint 2010.

    I heard that SharePoint 2010 SP2 can be installed on Windows Server 2012 R2(correct me if i am wrong) , but i am not sure on the sql and .net framework versions.

    Please suggest here.

    Thanks

    USha


    • Edited by UshaJyothsna Friday, December 4, 2015 7:57 AM Correction from R2 to SP2
    Friday, December 4, 2015 7:56 AM

Answers

  • Hi Mohit

    Thanks for the quick reply here.

    Based on your comments,  i am summarizing as below. Please validate.

    SharePoint 2010 SP2 will work on Windows server 2012 R2 + Sql Server 2012 + .Net frame work 3.5 SP1

    This is the maximum configuration i can go with.

    Incase i need to use .Netframework 4.5.2, i need to upgrade my SharePoint to 2013 where i can have database Sql server 2014

    Please validate my understanding.

    Thanks

    Usha


    • Marked as answer by UshaJyothsna Tuesday, December 15, 2015 2:41 PM
    Friday, December 4, 2015 10:24 AM

All replies

  • Hi Usha

    On Windows Server 2012 R2, Microsoft supports only the SharePoint Server 2010 SP2 slipstream media configuration and not the RTM version of that configuration. For full SharePoint functionality and support, you must have the February 2014 cumulative update (CU) or a later CU installed:

    https://support.microsoft.com/en-us/kb/2724471

    SP2010 is not supported on SQL 2014. However SP2010 SP2 is supported with SQL 2012.

    For .net framework, you can go up to 3.5 or 3.5 SP1 with SP2010:

    http://blogs.msdn.com/b/sharepointdev/archive/2011/07/14/net-framework-support-in-sharepoint-2010.aspx


    Thanks Mohit



    • Edited by mohit.goyal Friday, December 4, 2015 8:32 AM
    Friday, December 4, 2015 8:31 AM
  • Hi Mohit

    Thanks for the quick reply here.

    Based on your comments,  i am summarizing as below. Please validate.

    SharePoint 2010 SP2 will work on Windows server 2012 R2 + Sql Server 2012 + .Net frame work 3.5 SP1

    This is the maximum configuration i can go with.

    Incase i need to use .Netframework 4.5.2, i need to upgrade my SharePoint to 2013 where i can have database Sql server 2014

    Please validate my understanding.

    Thanks

    Usha


    • Marked as answer by UshaJyothsna Tuesday, December 15, 2015 2:41 PM
    Friday, December 4, 2015 10:24 AM
  • Hi UshaJyothsna

    Yes, that is correct.


    Thanks Mohit


    • Edited by mohit.goyal Friday, December 4, 2015 11:21 AM
    Friday, December 4, 2015 11:21 AM